OdpGenerator Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
OdpGenerator Class Reference

A generator for presentations. More...

`#include <OdpGenerator.hxx>`

Inheritance diagram for OdpGenerator:

## Public Member Functions
| OdpGenerator ()
| ~OdpGenerator () override
void | addDocumentHandler (OdfDocumentHandler *pHandler, const OdfStreamType streamType)
librevenge::RVNGStringVector | getObjectNames () const
bool | getObjectContent (librevenge::RVNGString const &objectName, OdfDocumentHandler *pHandler)
void | startDocument (const ::librevenge::RVNGPropertyList &propList) override
void | endDocument () override
void | setDocumentMetaData (const ::librevenge::RVNGPropertyList &propList) override
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) override
void | startSlide (const ::librevenge::RVNGPropertyList &propList) override
void | endSlide () override
void | startMasterSlide (const ::librevenge::RVNGPropertyList &propList) override
void | endMasterSlide () override
void | setSlideTransition (const ::librevenge::RVNGPropertyList &propList) override
void | startLayer (const ::librevenge::RVNGPropertyList &propList) override
void | endLayer () override
void | startEmbeddedGraphics (const ::librevenge::RVNGPropertyList &propList) override
void | endEmbeddedGraphics () override
void | openGroup (const ::librevenge::RVNGPropertyList &propList) override
void | closeGroup () override
void | setStyle (const ::librevenge::RVNGPropertyList &propList) override
void | drawRectangle (const ::librevenge::RVNGPropertyList &propList) override
void | drawEllipse (const ::librevenge::RVNGPropertyList &propList) override
void | drawPolyline (const ::librevenge::RVNGPropertyList &propList) override
void | drawPolygon (const ::librevenge::RVNGPropertyList &propList) override
void | drawPath (const ::librevenge::RVNGPropertyList &propList) override
void | drawGraphicObject (const ::librevenge::RVNGPropertyList &propList) override
void | drawConnector (const ::librevenge::RVNGPropertyList &propList) override
void | startTextObject (const ::librevenge::RVNGPropertyList &propList) override
void | endTextObject () override
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList) override
void | openParagraph (const ::librevenge::RVNGPropertyList &propList) override
void | closeParagraph () override
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList) override
void | openSpan (const ::librevenge::RVNGPropertyList &propList) override
void | closeSpan () override
void | openLink (const librevenge::RVNGPropertyList &propList) override
void | closeLink () override
void | insertText (const ::librevenge::RVNGString &str) override
void | insertTab () override
void | insertSpace () override
void | insertLineBreak () override
void | insertField (const ::librevenge::RVNGPropertyList &propList) override
void | openOrderedListLevel (const ::librevenge::RVNGPropertyList &propList) override
void | openUnorderedListLevel (const ::librevenge::RVNGPropertyList &propList) override
void | closeOrderedListLevel () override
void | closeUnorderedListLevel () override
void | openListElement (const ::librevenge::RVNGPropertyList &propList) override
void | closeListElement () override
void | startTableObject (const ::librevenge::RVNGPropertyList &propList) override
void | openTableRow (const ::librevenge::RVNGPropertyList &propList) override
void | closeTableRow () override
void | openTableCell (const ::librevenge::RVNGPropertyList &propList) override
void | closeTableCell () override
void | insertCoveredTableCell (const ::librevenge::RVNGPropertyList &propList) override
void | endTableObject () override
void | startComment (const ::librevenge::RVNGPropertyList &propList) override
void | endComment () override
void | startNotes (const ::librevenge::RVNGPropertyList &propList) override
void | endNotes () override
void | defineChartStyle (const ::librevenge::RVNGPropertyList &propList) override
void | openChart (const ::librevenge::RVNGPropertyList &propList) override
void | closeChart () override
void | openChartTextObject (const ::librevenge::RVNGPropertyList &propList) override
void | closeChartTextObject () override
void | openChartPlotArea (const ::librevenge::RVNGPropertyList &propList) override
void | closeChartPlotArea () override
void | insertChartAxis (const ::librevenge::RVNGPropertyList &propList) override
void | openChartSeries (const ::librevenge::RVNGPropertyList &propList) override
void | closeChartSeries () override
void | openAnimationSequence (const ::librevenge::RVNGPropertyList &propList) override
void | closeAnimationSequence () override
void | openAnimationGroup (const ::librevenge::RVNGPropertyList &propList) override
void | closeAnimationGroup () override
void | openAnimationIteration (const ::librevenge::RVNGPropertyList &propList) override
void | closeAnimationIteration () override
void | insertMotionAnimation (const ::librevenge::RVNGPropertyList &propList) override
void | insertColorAnimation (const ::librevenge::RVNGPropertyList &propList) override
void | insertAnimation (const ::librevenge::RVNGPropertyList &propList) override
void | insertEffect (const ::librevenge::RVNGPropertyList &propList) override
void | registerEmbeddedImageHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedImage imageHandler)
| Registers a handler for embedded images.
void | registerEmbeddedObjectHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedObject objectHandler)
| Registers a handler for embedded objects.
void | initStateWith (OdfGenerator const &orig)
| retrieve data from another odfgenerator ( the list and the embedded handler)

## Private Member Functions
| OdpGenerator (OdpGenerator const &)
OdpGenerator & | operator= (OdpGenerator const &)

## Private Attributes
OdpGeneratorPrivate * | mpImpl

## Detailed Description

A generator for presentations.

See `librevenge` library for documentation of the librevenge::KEYPresentationInterface interface.

## Constructor & Destructor Documentation

## ◆ OdpGenerator() [1/2]

OdpGenerator::OdpGenerator | ( |  | ) |

## ◆ ~OdpGenerator()

OdpGenerator::~OdpGenerator | ( |  | ) |
| override

## ◆ OdpGenerator() [2/2]

OdpGenerator::OdpGenerator | ( | OdpGenerator const & |  | ) |
| private

## Member Function Documentation

## ◆ addDocumentHandler()

void OdpGenerator::addDocumentHandler | ( | OdfDocumentHandler * | pHandler,
|  | const OdfStreamType | streamType )

## ◆ closeAnimationGroup()

void OdpGenerator::closeAnimationGroup | ( |  | ) |
| override

## ◆ closeAnimationIteration()

void OdpGenerator::closeAnimationIteration | ( |  | ) |
| override

## ◆ closeAnimationSequence()

void OdpGenerator::closeAnimationSequence | ( |  | ) |
| override

## ◆ closeChart()

void OdpGenerator::closeChart | ( |  | ) |
| override

## ◆ closeChartPlotArea()

void OdpGenerator::closeChartPlotArea | ( |  | ) |
| override

## ◆ closeChartSeries()

void OdpGenerator::closeChartSeries | ( |  | ) |
| override

## ◆ closeChartTextObject()

void OdpGenerator::closeChartTextObject | ( |  | ) |
| override

## ◆ closeGroup()

void OdpGenerator::closeGroup | ( |  | ) |
| override

## ◆ closeLink()

void OdpGenerator::closeLink | ( |  | ) |
| override

## ◆ closeListElement()

void OdpGenerator::closeListElement | ( |  | ) |
| override

## ◆ closeOrderedListLevel()

void OdpGenerator::closeOrderedListLevel | ( |  | ) |
| override

## ◆ closeParagraph()

void OdpGenerator::closeParagraph | ( |  | ) |
| override

## ◆ closeSpan()

void OdpGenerator::closeSpan | ( |  | ) |
| override

## ◆ closeTableCell()

void OdpGenerator::closeTableCell | ( |  | ) |
| override

## ◆ closeTableRow()

void OdpGenerator::closeTableRow | ( |  | ) |
| override

## ◆ closeUnorderedListLevel()

void OdpGenerator::closeUnorderedListLevel | ( |  | ) |
| override

## ◆ defineCharacterStyle()

void OdpGenerator::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineChartStyle()

void OdpGenerator::defineChartStyle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineEmbeddedFont()

void OdpGenerator::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineParagraphStyle()

void OdpGenerator::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawConnector()

void OdpGenerator::drawConnector | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawEllipse()

void OdpGenerator::drawEllipse | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawGraphicObject()

void OdpGenerator::drawGraphicObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPath()

void OdpGenerator::drawPath | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolygon()

void OdpGenerator::drawPolygon | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolyline()

void OdpGenerator::drawPolyline | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawRectangle()

void OdpGenerator::drawRectangle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ endComment()

void OdpGenerator::endComment | ( |  | ) |
| override

## ◆ endDocument()

void OdpGenerator::endDocument | ( |  | ) |
| override

## ◆ endEmbeddedGraphics()

void OdpGenerator::endEmbeddedGraphics | ( |  | ) |
| override

## ◆ endLayer()

void OdpGenerator::endLayer | ( |  | ) |
| override

## ◆ endMasterSlide()

void OdpGenerator::endMasterSlide | ( |  | ) |
| override

## ◆ endNotes()

void OdpGenerator::endNotes | ( |  | ) |
| override

## ◆ endSlide()

void OdpGenerator::endSlide | ( |  | ) |
| override

## ◆ endTableObject()

void OdpGenerator::endTableObject | ( |  | ) |
| override

## ◆ endTextObject()

void OdpGenerator::endTextObject | ( |  | ) |
| override

## ◆ getObjectContent()

bool OdpGenerator::getObjectContent | ( | librevenge::RVNGString const & | objectName,
|  | OdfDocumentHandler * | pHandler )

## ◆ getObjectNames()

librevenge::RVNGStringVector OdpGenerator::getObjectNames | ( |  | ) | const

## ◆ initStateWith()

void OdpGenerator::initStateWith | ( | OdfGenerator const & | orig | ) |

retrieve data from another odfgenerator ( the list and the embedded handler)

## ◆ insertAnimation()

void OdpGenerator::insertAnimation | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertChartAxis()

void OdpGenerator::insertChartAxis | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertColorAnimation()

void OdpGenerator::insertColorAnimation | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertCoveredTableCell()

void OdpGenerator::insertCoveredTableCell | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertEffect()

void OdpGenerator::insertEffect | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertField()

void OdpGenerator::insertField | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertLineBreak()

void OdpGenerator::insertLineBreak | ( |  | ) |
| override

## ◆ insertMotionAnimation()

void OdpGenerator::insertMotionAnimation | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertSpace()

void OdpGenerator::insertSpace | ( |  | ) |
| override

## ◆ insertTab()

void OdpGenerator::insertTab | ( |  | ) |
| override

## ◆ insertText()

void OdpGenerator::insertText | ( | const ::librevenge::RVNGString & | str | ) |
| override

## ◆ openAnimationGroup()

void OdpGenerator::openAnimationGroup | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openAnimationIteration()

void OdpGenerator::openAnimationIteration | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openAnimationSequence()

void OdpGenerator::openAnimationSequence | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openChart()

void OdpGenerator::openChart | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openChartPlotArea()

void OdpGenerator::openChartPlotArea | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openChartSeries()

void OdpGenerator::openChartSeries | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openChartTextObject()

void OdpGenerator::openChartTextObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openGroup()

void OdpGenerator::openGroup | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openLink()

void OdpGenerator::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openListElement()

void OdpGenerator::openListElement | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openOrderedListLevel()

void OdpGenerator::openOrderedListLevel | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openParagraph()

void OdpGenerator::openParagraph | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSpan()

void OdpGenerator::openSpan | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableCell()

void OdpGenerator::openTableCell | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableRow()

void OdpGenerator::openTableRow | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openUnorderedListLevel()

void OdpGenerator::openUnorderedListLevel | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ operator=()

OdpGenerator & OdpGenerator::operator= | ( | OdpGenerator const & |  | ) |
| private

## ◆ registerEmbeddedImageHandler()

void OdpGenerator::registerEmbeddedImageHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedImage | imageHandler )

Registers a handler for embedded images.

Parameters

  [in] | mimeType | MIME type of the image
  [in] | imageHandler | a function that handles processing of the image's data and generating output

## ◆ registerEmbeddedObjectHandler()

void OdpGenerator::registerEmbeddedObjectHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedObject | objectHandler )

Registers a handler for embedded objects.

Parameters

  [in] | mimeType | MIME type of the object
  [in] | objectHandler | a function that handles processing of the object's data and generating output

## ◆ setDocumentMetaData()

void OdpGenerator::setDocumentMetaData | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ setSlideTransition()

void OdpGenerator::setSlideTransition | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ setStyle()

void OdpGenerator::setStyle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startComment()

void OdpGenerator::startComment | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startDocument()

void OdpGenerator::startDocument | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startEmbeddedGraphics()

void OdpGenerator::startEmbeddedGraphics | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startLayer()

void OdpGenerator::startLayer | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startMasterSlide()

void OdpGenerator::startMasterSlide | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startNotes()

void OdpGenerator::startNotes | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startSlide()

void OdpGenerator::startSlide | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startTableObject()

void OdpGenerator::startTableObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startTextObject()

void OdpGenerator::startTextObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| override

## Member Data Documentation

## ◆ mpImpl

OdpGeneratorPrivate* OdpGenerator::mpImpl
| private

The documentation for this class was generated from the following file:

- OdpGenerator.hxx